.form__group {
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 20px;
    padding: 15px 0 0;
    margin-top: 10px;
    width: 50%;
}

.form__field {
    font-family: inherit;
    width: 100%;
    border: 0;
    border-bottom: 2px solid grey;
    outline: 0;
    font-size: 1.3rem;
    color: black;
    padding: 7px 0;
    background: transparent;
    transition: border-color 0.2s;

    &::placeholder {
        color: transparent;
    }

    &:placeholder-shown ~ .form__label {
        font-size: 1.3rem;
        cursor: text;
        top: 20px;
    }
}

.form__label {
    position: absolute;
    top: 0;
    display: block;
    transition: 0.2s;
    font-size: 1rem;
    color: grey;
}

.form__field:focus {
    ~ .form__label {
        position: absolute;
        top: 0;
        display: block;
        transition: 0.2s;
        font-size: 1rem;
        color: black;
        font-weight: 700;
    }

    padding-bottom: 6px;
    font-weight: 700;
    border-width: 3px;

}

.form__field {
    &:required, &:invalid {
        box-shadow: none;
    }
}

.btn {
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
    padding: 16px;
    border: 2px solid grey;
    margin: 0 40px;
}

.btn:hover {
    border: 2px solid black;
    transition: border ease 1s;


}